<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{produtoEstabelecimentoDetalheBean.produto}" />
		<o:viewParam name="id_estabelecimento" value="#{produtoEstabelecimentoDetalheBean.estabelecimento}" />
		<f:viewAction action="#{produtoEstabelecimentoDetalheBean.inicializar}" />
	</f:metadata>
	
	<ui:define name="page_title">
		Consultar Produto
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Produtos</h4>
				<p class="category">Veja informações sobre Produtos</p>
				<br />

				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar--><p>
								<strong>PRODUTO: </strong>#{produtoEstabelecimentoDetalheBean.produto.codigoProduto} - #{produtoEstabelecimentoDetalheBean.produto.descricao} (#{produtoEstabelecimentoDetalheBean.produto.unidade})
							</p>
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{produtoEstabelecimentoDetalheBean.produtos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%" 
								id="produto-estabelecimento-detalhe">
								<h:column>
									<f:facet name="header">
										<h:outputText value="VL. UNI" />
									</f:facet>
									<h:outputText value="R$ #{item.vlUniVenda}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="DATA" />
									</f:facet>
									<h:outputText value="#{item.dtVenda} " />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="ESTAB." />
									</f:facet>
									<h:outputText
										value="#{item.idNotafiscal.idEstabelecimento.nomeFantasia}" />
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		<h:outputScript>
	$(document).ready(function() {
		//produto-estabelecimento-detalhe
				$('#produto-estabelecimento-detalhe').DataTable({
					"columnDefs": [ {
								"targets": 1,
								"render": function (data) {
								var date = new Date(data);
								return moment(date).format('DD-MM-YYYY HH:mm'); //'YYYY-MM-DD HH:mm'
							}
						} ],
							"pagingType": "numbers",
							responsive: true,
							ordering: false,
							"bLengthChange": false,
							language: {
								search: "_INPUT_",
								searchPlaceholder: "Filtrar",
								"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Portuguese-Brasil.json"
						}
					});
	});
</h:outputScript>
	</ui:define>
</ui:composition>